corda / net.corda.core.contracts / FungibleAsset / Commands / Exit

# Exit

`interface Exit<T> : Commands`

A command stating that money has been withdrawn from the shared ledger and is now accounted for in some other way.

### Properties

amount | `abstract val amount: Amount<Issued<T>>`

### Inheritors

Exit | `data class Exit : Commands, Exit<Currency>` A command stating that money has been withdrawn from the shared ledger and is now accounted for in some other way.
Exit | `data class Exit : Commands, Exit<Commodity>` A command stating that money has been withdrawn from the shared ledger and is now accounted for in some other way.
Exit | `data class Exit<P> : Commands, Exit<Terms<P>>` A command stating that the debt is being released by the beneficiary. Normally would indicate either settlement outside of the ledger, or that the obligor is unable to pay.